Skip to main content
GET
Read executions for a rule revision

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Path Parameters

ruleId
string<uuid>
required

Query Parameters

revision
integer
required
Required range: 0 < x <= 9007199254740991
cursor
string

Opaque next_cursor from the previous page. Keep the same rule and revision.

Required string length: 1 - 4096
limit
integer
default:50
Required range: 1 <= x <= 100
org_id
string

Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.

Minimum string length: 1

Response

OK

items
object[]
required
next_cursor
required